/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');*/
/*Css creada para mi sitio web*/
html, body {
    font-family: 'Lato', sans-serif;
    font-family: 'Sofia Sans', sans-serif;
}

body {
    background-color: #fff !important;
}

h1:focus {
    outline: none;
}


.espaciado50 {
    margin-top: 50px;
}
.textoblanco{
    color:white;
}
.nav-linkaccount {
    background-color: hsl(0deg 0% 78% / 35%);
}
.nav-linkaccount:hover {
    background-color: hsl(0deg 0% 78% / 76%) !important;
}

.nav-link.active {
    color: #fff;
    background-color: #20388f !important;
    box-shadow: 0 5px 20px 0 rgb(0 0 0 / 20%), 0 13px 24px -11px rgb(156 39 176 / 60%);
}

.homecard{
    height:250px;
}


.page-headeraccount {
    height: 10vh;
    margin: 0;
    padding: 0;
    border: 0;
    display: flex;
    align-items: center;
}

.section-account {
    background-position: 100%;
    background-size: cover;
    height: 100vh;
}

.contenedorlogin {
    max-width: 440px;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    z-index: 2;
    position: relative;
}


.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn-outline-primary:hover {
    color: #fff !important;
    background-color: #20388f !important;
    border-color: #1b6ec2 !important;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.tabs-expand:not(.vertical):not(.bottom) ul.tabs-text > li.active {
    font-size: 2rem;
}

.validation-message {
    color: red;
}

.sidenav .collapse .nav-item .nav-link.active, .sidenav .collapse .nav-item .nav-link.active i {
    background-image: linear-gradient(195deg,#1a73e8,#1a73e8);
}
/*.navbar .nav-link, .navbar .navbar-brand {
    color: white;
    font-size: .875rem;
}*/
.navbar-nav .nav-link {
    font-size: .775rem;
}

.navbar {
    border: 0;
    border-radius: 3px;
    padding: 0;
    margin-bottom: 20px;
    color: #555;
    background-color: #fff !important;
    box-shadow: 0 4px 18px 0 rgba(0,0,0,.12),0 7px 10px -5px rgba(0,0,0,.15)
}

    .navbar.navbar-transparent {
        background-color: transparent !important;
        box-shadow: none;
        padding-top: 25px;
        color: #fff
    }

.navbar-collapse .navbar-nav .nav-item .nav-link {
    color: inherit;
    margin: 5px 15px;
}

.nav-pills .nav-item .nav-link {
    color: #20388f;
}

    .nav-pills .nav-item .nav-link.active {
        color: #fff;
        background-color: #20388f;
        box-shadow: 0 5px 20px 0 rgb(0 0 0 / 20%), 0 13px 24px -11px rgb(156 39 176 / 60%);
    }

.enlace {
    color: #170f74;
}
.form-control {
    padding-left: 20px;
    border-radius: 4px;
}
.form-control:focus {
    color: #1e2935;
    background-color: white;
   
}
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.retrasonormal {
    color: darkblue;
}

.retrasoregular {
    color: green;
}

.retrasolargo {
    color: red;
}

.logotabla {
    width: 50% !important;
}

.fototabla {
    height: 50px !important;
}
.fotofirma {
    width: 400px !important;
}
.form-control {
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: thin;
    border-bottom-style: solid;
    background-color: #f4f4f4;
}

.form {
    display: flex;
}

footer {
    bottom: 0;
    text-align: center;
    width: 100%;
}

textarea {
    width: 100%;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    min-height: 200px !important;
}

.loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-repeat: no-repeat;
}



.divcenterloading {
    display: flex;
    justify-content: center;
}


.imagenloading {    
    width: 60%;
    margin: auto;
    display: block;
}

.loginBack {
    border: 2px solid black;
    padding: 25px;
    background-image: url('../img/fondo1.png');
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
}

.contenedor {
    max-width: 96vw !important;
}

.table {
    font-family: 'Sofia Sans', sans-serif;
    background-color: #fff;
    color: #161616;
}

.anchototal {
    width: 100%;
}

.marcoformulario {
    padding-left: 20px;
    padding-right: 20px;
}

legend {
    color: var(--color-inactive) !important;
}

.button {
    border-radius: 5px;
}

.h-100 {
    height: 100vh !important;
}
/*Clases para las páginas de cuenta */

.formAccount {
    width: 350px;
    height: auto;
    top: 50%;
    border-radius: 10px;
}

.bodyAccount {
    /*background-color: #004d6f !important;*/
    color: #0075ff;
}

.checkbox input {
    width: 19px;
    height: 19px;
    position: initial;
    top: 0;
    left: 0;
    opacity: 1;
}

input {
    width: 100%;
}

.d-menu {
    z-index: 1000;
    display: block;
    float: left;
    min-width: 10rem;
    padding: 0.5rem 0px;
    margin: 0.125rem 0px 0px;
    font-size: 1rem;
    text-align: left;
    list-style: none;
    background-color: rgb(255, 255, 255);
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.15);
    border-radius: 0.25rem;
    position: absolute;
    transform: translate3d(0px, 37px, 0px);
    top: 0px;
    left: 0px;
    will-change: transform;
}

.d-drop {
    padding: 0.25rem 1.5rem;
    text-align: inherit;
    white-space: nowrap;
}

.form-group {
    padding: 5px;
}

.color-picker, .file, .input, .metro-input, .select, .spinner, .tag-input, .textarea {
    border-radius: 5px;
}

.tabs li.active {
    background: #4a00b3 !important;
}

.fondobody {
    color: #070707<;
    background-color: #d6d7f2;
}

.list-inline, .list-unstyled {
    padding-left: 0;
    list-style: none;
}

.index-page .page-header, .presentation-page .page-header {
    height: 50vh;
    overflow: hidden;
}

@media (min-width: 992px) {

    .navbar-toggler {
        display: none !important;
    }
}

@media (max-width: 991px) {

    .navbar-toggler {
        display: block !important;
    }
}


@media (min-width: 1500px) {
.container {
    max-width: 1340px;
}
}

@media screen and (min-width: 991px) {
    .headerlogo {
        width: 20vw;
        /* height: 10vh;*/
        background-repeat: no-repeat;
        background-position: 100px 50px;
    }
}

@media only screen and (min-width:767px) and (max-width:991px) {
    .headerlogo {
        width: 25vw;
        /*height: 20vh;*/
        background-repeat: no-repeat;
        background-position: 100px 100px;
    }
}

@media only screen and (max-width:767px) {
    .headerlogo {
        width: 35vw;
        /* height: 40vh;*/
        background-repeat: no-repeat;
        background-position: 100px 100px;
    }
}


.index-page .header-filter:after, .presentation-page .header-filter:after {
    background: rgb(132 13 121 / 0%);
    background: linear-gradient(45deg,rgb(132 13 121 / 0%),rgb(208 44 180 / 0%));
    background: -webkit-linear-gradient(135deg,rgb(132 13 121 / 0%),rgb(208 44 180 / 0%));
}

.dropdown-menu .dropdown-item:active, .dropdown-menu .dropdown-item:focus, .dropdown-menu .dropdown-item:hover, .dropdown-menu a.active, .dropdown-menu a:active, .dropdown-menu a:focus, .dropdown-menu a:hover {
    box-shadow: 0 4px 20px 0 rgb(0 0 0 / 14%), 0 7px 10px -5px rgb(156 39 176 / 40%);
    background-color: #20388e !important;
    color: #fff !important;
}

.navbar.bg-primary {
    color: #ffffff;
    background-color: #20388f;
    box-shadow: 0 4px 20px 0 rgb(153 153 153), 0 7px 12px -5px rgb(32 56 143);
}

.btn.btn-primary {
    color: #fff;
    background-color: #20388f;
    border-color: #3243ff;
    box-shadow: 0 2px 2px 0 rgb(156 39 176 / 14%), 0 3px 1px -2px rgb(156 39 176 / 20%), 0 1px 5px 0 rgb(156 39 176 / 12%);
}

.navbar-transparent .navbar-nav .nav-link {
    color: inherit;
}

.main-raised {
    min-height: 100vh;
}

.nav-link {
    font-size: 12px;
}

a, .btn-link {
    color: #ffffff;
}
.flotarAladerecha {
    float: right;
}
.dropdown-menu {
    background-color: #20388f;
}

    .dropdown-menu .dropdown-item, .dropdown-menu li > a {
        color: #c7c8f0 !important;
    }

@media screen and (max-width: 992px) {
    .nav-link {
        color: white;
        margin: 5px 15px;
    }

    .navbar-collapse:after {
        background-color: #20388f;
    }
}

.navbar.navbar-transparent {
    padding-top: 0px !important;
    background-color: transparent !important;
    box-shadow: none !important;
}

.nav-item {
    background-color: inherit;
}

.textoMorado {
    color: #c61ede !important;
}

a:focus, a:hover {
    color: #7d8bd7;
    text-decoration: none;
}

.table-verde, .table-verde > td, .table-verde > th {
    background-color: #7ced80;
}

.table-naranja, .table-naranja > td, .table-naranja > th {
    background-color: #ff9800;
}

.table-roja, .table-roja > td, .table-roja > th {
    background-color: #ff5b4f;
}

.table-purpura, .table-purpura > td, .table-purpura > th {
    background-color: #e72393;
}



.rz-accordion-header a[role='tab'] {
    color: #e91e63 !important;
}
.abs-center {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}
.puntero {
    cursor: pointer;
}
.fondoplomito {
    background-color: #f7f7f7;
}

.botonfloating {
    background-color: #314963;
    border-radius: 5%;
    position: fixed;
    bottom: 100px;
    right: 80px;
    z-index:1000;
}
.alertanaranja {
    color: #ff9800 !important;
}

.mud-picker-calendar-header-transition {
    color: dimgray !important;
}

@keyframes pulse {
    0%, 100% {
        transform: scale(1);
        background-color: #3498db; /* blue */
    }

    50% {
        transform: scale(1.1);
        background-color: #f5841f; /* orange */
    }
}


.pulse-element {
    background-color: #3498db;
    border-radius: 10px;
    padding: 10px;
    color: white;
    animation: pulse 2s infinite;
}

.signalr-status {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}
